<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
BackgroundTask backgroundTask = (BackgroundTask)request.getAttribute("liferay-staging:process-duration:backgroundTask");
boolean listView = GetterUtil.getBoolean(request.getAttribute("liferay-staging:process-duration:listView"));

Date endDate = backgroundTask.getCompletionDate();
Date startDate = backgroundTask.getCreateDate();

long duration = 0;

if ((endDate != null) && (startDate != null) && (startDate.getTime() < endDate.getTime())) {
	duration = endDate.getTime() - startDate.getTime();
}

String timeDescription = LanguageUtil.getTimeDescription(themeDisplay.getLocale(), duration, true);
%>